Index: gsdl/trunk/perllib/plugins/ConvertToRogPlugin.pm
===================================================================
--- gsdl/trunk/perllib/plugins/ConvertToRogPlugin.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/ConvertToRogPlugin.pm	(revision 18327)
@@ -334,5 +334,5 @@
     #my $doc_obj = new doc ($conv_filename, "indexed_doc");
     # the original filename is used now
-    my $doc_obj = new doc ($filename_full_path, "indexed_doc");
+    my $doc_obj = new doc ($filename_full_path, "indexed_doc", $self->{'file_rename_method'});
     # the converted filename is set separately
     $doc_obj->set_converted_filename($conv_filename);
Index: gsdl/trunk/perllib/plugins/DatabasePlugin.pm
===================================================================
--- gsdl/trunk/perllib/plugins/DatabasePlugin.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/DatabasePlugin.pm	(revision 18327)
@@ -255,5 +255,5 @@
 
 	# create a new document
-	my $doc_obj = new doc ($filename_full_path, "indexed_doc");
+	my $doc_obj = new doc ($filename_full_path, "indexed_doc", $self->{'file_rename_method'});
 
 	my $cursection = $doc_obj->get_top_section();
Index: gsdl/trunk/perllib/plugins/FOXPlugin.pm
===================================================================
--- gsdl/trunk/perllib/plugins/FOXPlugin.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/FOXPlugin.pm	(revision 18327)
@@ -269,5 +269,5 @@
 
     # create a new document
-    my $doc_obj = new doc ($file, "indexed_doc");
+    my $doc_obj = new doc ($file, "indexed_doc", $self->{'file_rename_method'});
 
     $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
Index: gsdl/trunk/perllib/plugins/HBPlugin.pm
===================================================================
--- gsdl/trunk/perllib/plugins/HBPlugin.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/HBPlugin.pm	(revision 18327)
@@ -240,5 +240,5 @@
 
     # create a new document
-    my $doc_obj = new doc ($file, "indexed_doc");
+    my $doc_obj = new doc ($file, "indexed_doc", $self->{'file_rename_method'});
 
     # copy the book cover if it exists
Index: gsdl/trunk/perllib/plugins/HTMLImagePlugin.pm
===================================================================
--- gsdl/trunk/perllib/plugins/HTMLImagePlugin.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/HTMLImagePlugin.pm	(revision 18327)
@@ -422,5 +422,5 @@
 	    print $outhandle "HTMLImagePlugin: extracting $filepath\n"
 		if ( $self->{'verbosity'} > 1 );
-	    $doc_obj = new doc ("", "indexed_doc");
+	    $doc_obj = new doc ("", "indexed_doc", $self->{'file_rename_method'});
 	    $section = $doc_obj->get_top_section();
 	    my $prevpos = ( $i == 0 ? 0 : $imgs->{$fplist[$i - 1]}{'pos'});
Index: gsdl/trunk/perllib/plugins/MARCXMLPlugin.pm
===================================================================
--- gsdl/trunk/perllib/plugins/MARCXMLPlugin.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/MARCXMLPlugin.pm	(revision 18327)
@@ -195,5 +195,5 @@
         my $encoding = $self->{'encoding'};
 	my $file = $self->{'file'};
-	my $doc_obj = new doc($filename);
+	my $doc_obj = new doc($filename, undef, $self->{'file_rename_method'});
 	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Language", $language);
 	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Encoding", $encoding);
Index: gsdl/trunk/perllib/plugins/OAIPlugin.pm
===================================================================
--- gsdl/trunk/perllib/plugins/OAIPlugin.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/OAIPlugin.pm	(revision 18327)
@@ -262,5 +262,5 @@
 
     # create a new document
-    my $doc_obj = new doc ($filename, "indexed_doc");
+    my $doc_obj = new doc ($filename, "indexed_doc", $self->{'file_rename_method'});
     my $top_section = $doc_obj->get_top_section;
     my $plugin_type = $self->{'plugin_type'};
Index: gsdl/trunk/perllib/plugins/PagedImagePlugin.pm
===================================================================
--- gsdl/trunk/perllib/plugins/PagedImagePlugin.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/PagedImagePlugin.pm	(revision 18327)
@@ -479,5 +479,5 @@
     
     # create a new document
-    $self->{'doc_obj'} = new doc ($self->{'filename'}, "indexed_doc");
+    $self->{'doc_obj'} = new doc ($self->{'filename'}, "indexed_doc", $self->{'file_rename_method'});
     # TODO is file filenmae_no_path??
     $self->set_initial_doc_fields($self->{'doc_obj'}, $self->{'file'}, $self->{'processor'});
@@ -529,5 +529,5 @@
     my ($filename_full_path, $dir, $filename_no_path, $processor) = @_;
 
-    my $doc_obj = new doc ($filename_full_path, "indexed_doc");
+    my $doc_obj = new doc ($filename_full_path, "indexed_doc", $self->{'file_rename_method'});
     $self->set_initial_doc_fields($doc_obj, $filename_no_path, $processor);
     my $topsection = $doc_obj->get_top_section();
Index: gsdl/trunk/perllib/plugins/ReadXMLFile.pm
===================================================================
--- gsdl/trunk/perllib/plugins/ReadXMLFile.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/ReadXMLFile.pm	(revision 18327)
@@ -368,5 +368,5 @@
 
     # create a new document
-    $self->{'doc_obj'} = new doc ($self->{'filename'}, "indexed_doc");
+    $self->{'doc_obj'} = new doc ($self->{'filename'}, "indexed_doc", $self->{'file_rename_method'});
     $self->{'doc_obj'}->add_utf8_metadata($self->{'doc_obj'}->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 
Index: gsdl/trunk/perllib/plugins/RogPlugin.pm
===================================================================
--- gsdl/trunk/perllib/plugins/RogPlugin.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/RogPlugin.pm	(revision 18327)
@@ -174,5 +174,5 @@
 
     # create a new document
-    my $doc_obj = new doc ($file, "indexed_doc");
+    my $doc_obj = new doc ($file, "indexed_doc", $self->{'file_rename_method'});
     my $cursection = $doc_obj->get_top_section();
     $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
Index: gsdl/trunk/perllib/plugins/SplitTextFile.pm
===================================================================
--- gsdl/trunk/perllib/plugins/SplitTextFile.pm	(revision 18326)
+++ gsdl/trunk/perllib/plugins/SplitTextFile.pm	(revision 18327)
@@ -233,5 +233,5 @@
 
 	# create a new document
-	my $doc_obj = new doc ($filename_full_path, "indexed_doc");
+	my $doc_obj = new doc ($filename_full_path, "indexed_doc", $self->{'file_rename_method'});
 	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Language", $language);
 	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Encoding", $encoding);