Index: gli/branches/rtl-gli/metadata/dublin.mds
===================================================================
--- gli/branches/rtl-gli/metadata/dublin.mds	(revision 18348)
+++ gli/branches/rtl-gli/metadata/dublin.mds	(revision 18349)
@@ -184,5 +184,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Creator">
@@ -282,6 +282,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Subject">
@@ -393,6 +393,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Description">
@@ -493,6 +493,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Publisher">
@@ -590,6 +590,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Contributor">
@@ -706,6 +706,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Date">
@@ -809,6 +809,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Type">
@@ -913,6 +913,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Format">
@@ -1019,6 +1019,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Identifier">
@@ -1127,6 +1127,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Source">
@@ -1244,6 +1244,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Language">
@@ -1342,6 +1342,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Relation">
@@ -1462,6 +1462,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Coverage">
@@ -1591,6 +1591,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Rights">
@@ -1708,6 +1708,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
 </MetadataSet>
Index: gli/branches/rtl-gli/metadata/nzgls.mds
===================================================================
--- gli/branches/rtl-gli/metadata/nzgls.mds	(revision 18348)
+++ gli/branches/rtl-gli/metadata/nzgls.mds	(revision 18349)
@@ -87,5 +87,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Creator">
@@ -179,6 +179,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Function">
@@ -290,6 +290,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Description">
@@ -384,6 +384,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Publisher">
@@ -475,6 +475,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Mandate">
@@ -619,6 +619,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Date">
@@ -716,6 +716,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="created">
             <Attribute language="en" name="label">Created</Attribute>
@@ -850,6 +850,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="category">
             <Attribute language="en" name="label">Category</Attribute>
@@ -970,6 +970,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="extent">
             <Attribute language="en" name="label">Extent</Attribute>
@@ -1093,6 +1093,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Source">
@@ -1204,6 +1204,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Language">
@@ -1296,6 +1296,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Relation">
@@ -1410,6 +1410,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="isVersionOf">
             <Attribute language="en" name="label">Is Version Of</Attribute>
@@ -1632,6 +1632,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="jurisdiction">
             <Attribute language="en" name="label">Jurisdiction</Attribute>
@@ -1767,6 +1767,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
 </MetadataSet>
Index: gli/branches/rtl-gli/metadata/qdublin.mds
===================================================================
--- gli/branches/rtl-gli/metadata/qdublin.mds	(revision 18348)
+++ gli/branches/rtl-gli/metadata/qdublin.mds	(revision 18349)
@@ -184,5 +184,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="alternative">
             <Attribute language="en" name="status">recommended</Attribute>
@@ -297,6 +297,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Subject" >
@@ -408,6 +408,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Description" >
@@ -508,6 +508,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="abstract">
             <Language code="en">
@@ -633,6 +633,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Contributor" >
@@ -743,6 +743,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Date" >
@@ -846,6 +846,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="available">
             <Language code="en">
@@ -1062,6 +1062,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Format" >
@@ -1168,6 +1168,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="extent">
             <Language code="en">
@@ -1304,6 +1304,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="bibliographicCitation">
             <Attribute language="en" name="status">conforming</Attribute>
@@ -1436,6 +1436,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Language" >
@@ -1534,6 +1534,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Relation" >
@@ -1654,6 +1654,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="conformsTo">
             <Language code="en">
@@ -1965,6 +1965,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="spatial">
             <Attribute language="en" name="status">recommended</Attribute>
@@ -2110,6 +2110,6 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="accessRights">
             <Language code="en">
Index: gli/branches/rtl-gli/metadata/rfc1807.mds
===================================================================
--- gli/branches/rtl-gli/metadata/rfc1807.mds	(revision 18348)
+++ gli/branches/rtl-gli/metadata/rfc1807.mds	(revision 18349)
@@ -18,6 +18,6 @@
         <Attribute name="obligation">Compulsory</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="minimum_occurance">1</Attribute>
-        <Attribute name="maximum_occurance">1</Attribute>
+        <Attribute name="minimum_occurrence">1</Attribute>
+        <Attribute name="maximum_occurrence">1</Attribute>
     </Element>
     <Element name="id">
@@ -33,6 +33,6 @@
         <Attribute name="obligation">Compulsory</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="minimum_occurance">1</Attribute>
-        <Attribute name="maximum_occurance">1</Attribute>
+        <Attribute name="minimum_occurrence">1</Attribute>
+        <Attribute name="maximum_occurrence">1</Attribute>
     </Element>
     <Element name="entry">
@@ -48,6 +48,6 @@
         <Attribute name="obligation">Compulsory</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="minimum_occurance">1</Attribute>
-        <Attribute name="maximum_occurance">1</Attribute>
+        <Attribute name="minimum_occurrence">1</Attribute>
+        <Attribute name="maximum_occurrence">1</Attribute>
     </Element>
     <Element name="organization">
@@ -63,5 +63,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="title">
@@ -77,5 +77,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="type">
@@ -91,5 +91,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="revision">
@@ -105,5 +105,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="withdraw">
@@ -119,5 +119,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="author">
@@ -133,5 +133,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="corp-author">
@@ -147,5 +147,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="contact">
@@ -161,5 +161,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="date">
@@ -175,5 +175,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="pages">
@@ -189,5 +189,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="copyright">
@@ -203,5 +203,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="handle">
@@ -217,5 +217,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="other_access">
@@ -231,5 +231,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="retrieval">
@@ -245,5 +245,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="keyword">
@@ -259,5 +259,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="cr-category">
@@ -273,5 +273,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="period">
@@ -287,5 +287,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="series">
@@ -301,5 +301,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="monitoring">
@@ -315,5 +315,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="funding">
@@ -330,5 +330,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="contract">
@@ -344,5 +344,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="grant">
@@ -358,5 +358,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="language">
@@ -372,5 +372,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="notes">
@@ -386,5 +386,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="abstract">
@@ -400,5 +400,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
 </MetadataSet>