Index: gli/trunk/src/org/greenstone/gatherer/cdm/ArgumentControl.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/cdm/ArgumentControl.java	(revision 18370)
+++ gli/trunk/src/org/greenstone/gatherer/cdm/ArgumentControl.java	(revision 18372)
@@ -41,4 +41,5 @@
 	 */
 	public ArgumentControl(Argument argument, boolean is_enabled, String preset_value) {
+	  this.setComponentOrientation(Dictionary.getOrientation());
 		this.argument = argument;
 
@@ -61,17 +62,17 @@
 			//JLabel label = new JLabel(argument.getName());
 			JLabel label = new JLabel(dispName);
-
+			label.setComponentOrientation(Dictionary.getOrientation());
 			label.setOpaque(false);
 			label.setPreferredSize(LABEL_SIZE);
 			label.setToolTipText(tip);
-			add(label, BorderLayout.WEST);
+			add(label, BorderLayout.LINE_START);
 		} else {
 			//enabled = new JCheckBox(argument.getName());
 			enabled = new JCheckBox(dispName);
-
+			enabled.setComponentOrientation(Dictionary.getOrientation());
 			enabled.setOpaque(false);
 			enabled.setPreferredSize(LABEL_SIZE);
 			enabled.setToolTipText(tip);
-			add(enabled, BorderLayout.WEST);
+			add(enabled, BorderLayout.LINE_START);
 		}
 
@@ -94,4 +95,6 @@
 			ArrayList option_list = argument.getOptions();
 			value_control = new GComboBox(option_list.toArray(), false, false);
+			value_control.setComponentOrientation(Dictionary.getOrientation());
+			
 			selectValue((JComboBox)value_control, initial_value); // also sets the tooltip
 			((JComboBox)value_control).addActionListener(new ToolTipUpdater());
@@ -118,5 +121,5 @@
 
 			JSpinner spinner = new JSpinner(new SpinnerNumberModel(initial_int, argument.getMinimum(), argument.getMaximum(), 1));
-
+			spinner.setComponentOrientation(Dictionary.getOrientation());
 			// And remember it
 			value_control = spinner;
@@ -126,8 +129,10 @@
 		case Argument.STRING:
 			value_control = new JTextField(initial_value);
+			value_control.setComponentOrientation(Dictionary.getOrientation());
 			break;
 
 		case Argument.LANGUAGE:
 			value_control = new GComboBox(CollectionDesignManager.language_manager.getLanguageCodes().toArray(), false);
+			value_control.setComponentOrientation(Dictionary.getOrientation());
 			// we want to display the language name not the code
 			((JComboBox)value_control).setRenderer(new LanguageListCellRenderer());
@@ -142,5 +147,5 @@
 		case Argument.METADATA:
 			value_control = new GComboBox(MetadataSetManager.getEveryMetadataSetElement(), false);
-
+			value_control.setComponentOrientation(Dictionary.getOrientation());
 			// Editable for advanced modes (allows things like dc.Title,ex.Title)
 			if (Configuration.getMode() > Configuration.ASSISTANT_MODE) {
@@ -176,4 +181,5 @@
 		case Argument.METADATA_SET_NAMESPACE:
 			value_control = new JComboBox();
+			value_control.setComponentOrientation(Dictionary.getOrientation());
 			// !! Hack for exploding metadata databases: add the (empty) exploded metadata set
 			File exploded_metadata_set_file = new File(Gatherer.getGLIMetadataDirectoryPath() + "exp" + StaticStrings.METADATA_SET_EXTENSION);
Index: gli/trunk/src/org/greenstone/gatherer/gui/DownloadPane.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/gui/DownloadPane.java	(revision 18370)
+++ gli/trunk/src/org/greenstone/gatherer/gui/DownloadPane.java	(revision 18372)
@@ -175,5 +175,5 @@
             mode_pane.add(tree_pane,JSplitPane.RIGHT);
             mode_pane.add(options_scroll_pane,JSplitPane.LEFT);
-            mode_pane.setDividerLocation(1);
+            mode_pane.setDividerLocation(1-TREE_SIZE.width);
         }
 		
Index: gli/trunk/src/org/greenstone/gatherer/gui/ExportAsPrompt.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 18370)
+++ gli/trunk/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 18372)
@@ -171,5 +171,5 @@
         
 	details_label = new JLabel(Dictionary.get("DeleteCollectionPrompt.Collection_Details"));
-	
+	details_label.setComponentOrientation(Dictionary.getOrientation());
 
 	instructions_textarea = new JTextArea(Dictionary.get("ExportAsPrompt.Instructions"));
@@ -249,4 +249,5 @@
 	//list = new CheckList(true);
 	list = new JList(getCollectionListModel());
+	list.setComponentOrientation(Dictionary.getOrientation());
 	list_label = new JLabel(Dictionary.get("DeleteCollectionPrompt.Collection_List"));
 	list_label.setComponentOrientation(Dictionary.getOrientation());
Index: gli/trunk/src/org/greenstone/gatherer/gui/Preferences.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/gui/Preferences.java	(revision 18370)
+++ gli/trunk/src/org/greenstone/gatherer/gui/Preferences.java	(revision 18372)
@@ -348,5 +348,5 @@
 	// Layout
 	program_pane.setLayout(new BorderLayout());
-	program_pane.add(program_label, BorderLayout.LINE_END);
+	program_pane.add(program_label, BorderLayout.LINE_START);
 	program_pane.add(program_field, BorderLayout.CENTER);
 
Index: gli/trunk/src/org/greenstone/gatherer/util/CheckListEntry.java
===================================================================
--- gli/trunk/src/org/greenstone/gatherer/util/CheckListEntry.java	(revision 18370)
+++ gli/trunk/src/org/greenstone/gatherer/util/CheckListEntry.java	(revision 18372)
@@ -2,4 +2,5 @@
 
 import javax.swing.JCheckBox;
+import org.greenstone.gatherer.Dictionary;
 
 /** A CheckListEntry encapsulates a single row of the list, both its check box and the object the row represents. */
@@ -18,4 +19,5 @@
 	super(object.toString());
 	this.object = object;
+	this.setComponentOrientation(Dictionary.getOrientation());
     }
 
@@ -23,4 +25,5 @@
     public CheckListEntry(String text, boolean is_selected) {
 	super(text);
+	this.setComponentOrientation(Dictionary.getOrientation());
 	setSelected(is_selected);
     }