Index: gsdl/trunk/collect/demo/import/b17mie/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/b17mie/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/b17mie/metadata.xml	(revision 18374)
@@ -9,5 +9,4 @@
             <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
             <Metadata mode="accumulate" name="dls.Keyword">introduce small animals and micro-livestock in your farm</Metadata>
         </Description>
Index: gsdl/trunk/collect/demo/import/b18ase/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/b18ase/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/b18ase/metadata.xml	(revision 18374)
@@ -9,5 +9,4 @@
             <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
             <Metadata mode="accumulate" name="dls.Keyword">introduce little-known Asian farm animals with a promising future</Metadata>
         </Description>
Index: gsdl/trunk/collect/demo/import/b20cre/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/b20cre/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/b20cre/metadata.xml	(revision 18374)
@@ -9,5 +9,4 @@
             <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
         </Description>
     </FileSet>
Index: gsdl/trunk/collect/demo/import/b21wae/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/b21wae/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/b21wae/metadata.xml	(revision 18374)
@@ -10,5 +10,4 @@
             <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
             <Metadata mode="accumulate" name="dls.Keyword">utilize the Water Buffalo more effectively</Metadata>
         </Description>
Index: gsdl/trunk/collect/demo/import/b22bue/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/b22bue/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/b22bue/metadata.xml	(revision 18374)
@@ -9,5 +9,4 @@
             <Metadata mode="accumulate" name="dls.Subject">Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">BOSTID</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
             <Metadata mode="accumulate" name="dls.Keyword">start a butterfly farm</Metadata>
         </Description>
Index: gsdl/trunk/collect/demo/import/ec158e/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/ec158e/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/ec158e/metadata.xml	(revision 18374)
@@ -10,5 +10,4 @@
             <Metadata mode="accumulate" name="dls.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
         </Description>
     </FileSet>
Index: gsdl/trunk/collect/demo/import/ec159e/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/ec159e/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/ec159e/metadata.xml	(revision 18374)
@@ -10,5 +10,4 @@
             <Metadata mode="accumulate" name="dls.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
         </Description>
     </FileSet>
Index: gsdl/trunk/collect/demo/import/ec160e/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/ec160e/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/ec160e/metadata.xml	(revision 18374)
@@ -10,5 +10,4 @@
             <Metadata mode="accumulate" name="dls.Subject">Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">EC Courier</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
         </Description>
     </FileSet>
Index: gsdl/trunk/collect/demo/import/fb33fe/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/fb33fe/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/fb33fe/metadata.xml	(revision 18374)
@@ -10,6 +10,5 @@
             <Metadata mode="accumulate" name="dls.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">FAO Better Farming series</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
-        </Description>
+         </Description>
     </FileSet>
 </DirectoryMetadata>
Index: gsdl/trunk/collect/demo/import/fb34fe/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/fb34fe/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/fb34fe/metadata.xml	(revision 18374)
@@ -10,5 +10,4 @@
             <Metadata mode="accumulate" name="dls.Subject">Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc.</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">FAO Better Farming series</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
             <Metadata mode="accumulate" name="dls.Keyword">farm snails</Metadata>
         </Description>
Index: gsdl/trunk/collect/demo/import/wb34te/metadata.xml
===================================================================
--- gsdl/trunk/collect/demo/import/wb34te/metadata.xml	(revision 18345)
+++ gsdl/trunk/collect/demo/import/wb34te/metadata.xml	(revision 18374)
@@ -9,5 +9,4 @@
             <Metadata mode="accumulate" name="dls.Subject">Women, gender and development, women&apos;s organizations</Metadata>
             <Metadata mode="accumulate" name="dls.Organization">World Bank</Metadata>
-            <Metadata mode="accumulate" name="dls.AZList">A-B-C-D-E-F-G-H-I-J-K-L-M-N-O-P-Q-R-S-T-U-V-W-X-Y-Z</Metadata>
             <Metadata mode="accumulate" name="dls.Keyword">achieve gender equality</Metadata>
         </Description>